#!/bin/bash
# /etc/lightdm/screens/session-xrandr-settings.sh
# composant du package primtux-tbi
# Homepage: https://debian-facile.org/utilisateurs:lebardix:tutos:primtux-tbi
# definir l'écran support de l'interface de connexion lightdm
# choisir le device où l'on veut afficher l'écran de connexion

if [ -f /etc/lightdm/screens/definition-ecrans.conf ]
then
    source /etc/lightdm/screens/definition-ecrans.conf
else
    source /etc/lightdm/screens/definition-ecrans.default
fi

DEV_S=${role_by_dev["secondaire"]}   
DEV_T=${role_by_dev["TBI"]}

case ${ACCUEIL} in

   secondaire )
      if xrandr | grep "${DEV_S} connected"; then
         xrandr --output ${DEV_S}  -s 1440x900  --primary  --output ${DEV_T} -s 1440x900 --off 2>/error
      fi
      ;;

   TBI )
      if xrandr | grep "${DEV_T} connected"; then
         xrandr --output ${DEV_T}  -s 1440x900  --primary  --output ${DEV_S} -s 1440x900 --off 2>/error
      fi
      ;;
    * )
      xrandr --output ${role_by_dev["portable"]} --mode 1366x768 --primary  --output ${DEV_T} -s 1440x900 --off --output ${DEV_S} -s 1440x900 --off 2>/error
      ;;
esac

#xrandr 1>>.randr-stat.txt
