#!/bin/bash
# /usr/local/bin/primtux/install-tbi.sh
# version 1.0 du 24/11/2018 lebardix lebardix@ogm-techno.org
# composant du package primtux-tbi
# script d'installation pour l'utilisateur (administrateur)
# Homepage: https://debian-facile.org/utilisateurs:lebardix:tutos:primtux-tbi
# installation pour l'utilisation d'un TBI 



function do_install () {

# A- modification du gestionnaire de session lightdm
# ajout des conf de gestion d'écran pour lightdm
# le dossier est créé directement par le deb et ne modifie en rien le fonctionnement normal
# pour qu'il soit validé, il est nécessaire de l'indiquer dans ligthdm.conf opération ci-après
#
# remplacer [SeatDefaults] par [Seat:*] cf doc lightdm
# assigner valeur display-setup-script=/etc/lightdm/screens/session-xrandr-settings.sh normalement vide 
sed -i -e 's/SeatDefaults/Seat:\*/' /etc/lightdm/lightdm.conf
sed -i -e 's/#display-setup-script=/display-setup-script=\/etc\/lightdm\/screens\/session-xrandr-settings.sh/' /etc/lightdm/lightdm.conf

# ajout d'un évènement acpi pour une touche du clavier (touche thinkvantage dans le cas d'un portable thinkpad
# gestion pour la touche thinkvantage des portables thinkpad
# a adapter pour d'autres types de laptops
# l'installation est réalisée par le deb

# B- modification du bureau de l'utilisateur
#
#
# création d'une archive des fichiers modifiés
### BOG les fichiers de xfce4 sont datés à 3:04 ?????
find /home/administrateur/.config/xfce4/ -exec touch {}  \;
# 1- lister les fichiers dans un fichier
PWD=$pwd
cd /etc/skel-tbi
for new_conffile in $(find . -type f | cut -d/ -f2- ); do
	if [ -e /home/administrateur/$new_conffile ]; then echo $new_conffile >> /tmp/files_replaced.txt; fi
done
tar cvf /tmp/files_replaced.tar /tmp/files_replaced.txt
# 2- creer l'archive du dossier administrateur à partir de cette liste
cd /home/administrateur
for l in $(cat /tmp/files_replaced.txt); do tar --append --file=/tmp/files_replaced.tar $l ; done
# ajouter les dossiers .fluxbox 
tar --append  --file=/tmp/files_replaced.tar .fluxbox
#cd /home/administrateur; find .lxpanel -print0 | tar --append  --file=/tmp/files_replaced.tar --null -T -
# 3- installation des fichiers de conf administrateur
cd /etc/skel-tbi
for file in $(find . -type f | cut -d/ -f2- ); do
	rep=$(dirname $file)
	mkdir -p /home/administrateur/$rep
	chown -R administrateur:administrateur /home/administrateur/$rep
	install --owner=administrateur --group=administrateur -m 644 $file /home/administrateur/$file
done

#for file in $(find /etc/skel-tbi -type f ); do
#    install -b --suffix=.before-tbi --owner=administrateur --group=administrateur -m 644 -D ${file} /home/administrateur/${file#/etc/skel-#tbi/};
#done
#
# sauvegarde dans le dossier administrateur de l'archive
mkdir /home/administrateur/.tbi
cp /tmp/files_replaced.tar /home/administrateur/.tbi/




# C- adaptation de l'image arrière plan et diverses corrections
# pb du clavier virtuel
sed -i -e 's/^exec xfce4-panel \&/exec setxkbmap fr \&\nexec xfce4-panel --disable-wm-check \&/' /home/administrateur/.fluxbox/startup
echo "session.screen0.demandsAttentionTimeout:\t500\n" >>/home/administrateur/.fluxbox/init	
# modification de l'arrière plan du bureau
# le fichier image est ajouté par le deb, il suffit de le choisir par un clic droit sur le fond d'écran

cd $PWD

}

function do_remove() {

# ++++++++++++++++++++++++++++++++++++++++++++++++++
# +++++++++++++++++  restauration ++++++++++++++++++
# ++++++++++++++++++++++++++++++++++++++++++++++++++


# C- adaptation de l'image arrière plan et diverses corrections
# adaptation de l'image arrière plan et divers corrections


# C- adaptation de l'image arrière plan et diverses corrections
# B- modification du bureau de l'utilisateur
#
# restaure le bureau suivant sauvegarde, laisse les fichiers supplémentaires 
# suppression des fichiers de squelette skel-tbi
cd /etc/skel-tbi
for new_conffile in $(find . -type f | cut -d/ -f2- ); do
	rep=$(dirname /home/administrateur/$new_conffile)
	rm /home/administrateur/$new_conffile
	if ! find $rep -mindepth 1 | read; then
		rmdir $rep
	fi
done
rm -rf /home/administrateur/.fluxbox
# puis rétabliblissement des fichiers sauvegardés
cd /home/administrateur
tar xvf /home/administrateur/.tbi/files_replaced.tar

# A- gestionnaire de session ligthdm
#
# de-assigné valeur display-setup-script=/etc/lightdm/screens/session-xrandr-settings.sh normalement vide 
# sed -i -e 's/[SeatDEfaults]/[Seat:*]/' /etc/lightdm/lightdm.conf reste en état 
sed -i -e 's/^display-setup-script=\/etc\/lightdm\/screens\/session-xrandr-settings.sh/#display-setup-script=/' /etc/lightdm/lightdm.conf
# désactivation de l'acpi
# suppression de dossier de conf /etc/acpi
rm -r /etc/acpi

# on efface les traces
rm -rf /home/administrateur/.tbi
}

ACTION=$1
	case $ACTION in
	install)
		do_install
		;;
	remove) do_remove
		;;
	*) echo arg1 = install ou remove
		;;
	esac
exit
